<?php namespace TPS\Birzha\Models;

use Model;

/**
 * Model
 */
class SliderApp extends Model
{
    use \October\Rain\Database\Traits\Validation;

    use \October\Rain\Database\Traits\SoftDelete;

    protected $dates = ['deleted_at'];


    /**
     * @var string The database table used by the model.
     */
    public $table = 'tps_birzha_slider_app';

    /**
     * @var array Validation rules
     */
    public $rules = [
    ];

    public function scopeMainSlider($query)
    {
        return $query->where('type', 'slider1');
    }

    public function scopeSlider2Type($query)
    {
        return $query->where('type', 'slider2');
    }


}
